//-----------------------------------------------------------------------------
// registres ssd1306

//-----------------------------------------------------------------------------

#define CMD_STREAM                  0x00
#define DATA_STREAM                 0x40
#define CMD_SINGLE                  0x80

#define SET_MA_CTL                  0x20
#define SET_COL                     0x21
#define SET_PAG                     0x22
#define SET_START_LINE              0x40
#define SET_CONTRAST                0x81
#define SET_CHARGE_PUMP             0x8d
#define SET_SEGMENT_REMAP           0xa0
#define MODE_DISP_RAM_ON            0xa4
#define MODE_DISP_RAM_OFF           0xa5
#define MODE_INVERSE_OFF            0xa6
#define MODE_INVERSE_ON             0xa7
#define SET_MUX_RATIO               0xa8
#define MODE_SLEEP_ON               0xae
#define MODE_SLEEP_OFF              0xaf
#define SET_COM_SCAN_MODE           0xc0
#define SET_DISP_OFFSET             0xd3
#define SET_DISP_CLK_DIV            0xd5
#define SET_PRECHARGE               0xd9
#define SET_COM_PINS                0xda

#define SCROLL_RIGHT_HOR            0x26
#define SCROLL_LEFT_HOR             0x27
#define SCROLL_SET_VERT_AND_RHOR    0x29
#define SCROLL_SET_VERT_AND_LHOR    0x2a
#define SCROLL_OFF                  0x2e
#define SCROLL_ON                   0x2f
#define SCROLL_SET_VERT_AREA        0xa3

//-----------------------------------------------------------------------------